// Hyphenation patterns for Liturgical Latin
// Based on http://mirrors.ctan.org/language/hyph-utf8/tex/generic/hyph-utf8/patterns/tex/hyph-la-x-liturgic.tex
// Source www.ctan.org

(function (root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define([], factory);
  } else if (typeof module === 'object' && module.exports) {
    // Node. Does not work with strict CommonJS, but
    // only CommonJS-like environments that support module.exports,
    // like Node.
    module.exports = factory();
  } else {
    // Browser globals (root is window)
    root.hyphenationPatternsLaLiturgic = factory();
  }
}(this, function () {

  // Hyphenation patterns
  var patterns=`
.a2b1ali
.a2b1auu
.a2b1eo
.a2b1er
.a2b1í
.a2b1i2é
.a2b1i2ec
.a2b1i2éct
.a2b1i2i
.a2b1i2í
.a2b1ic
.a2b1ig
.a2b1in1
.a2b1it
.a2b1iu
.a2b1iv
.a2b1ol
.a2b1om
.a2b1or
.a2b1ort
.a2b3l
.a2b3r
.a2b3ru
.a2b3und
.a2b3únd
.a2b3us
.a2b3ut
.a2b3út
.a2bfu
.a2bj
.a2d3
.á2d3
.a2d3a3s4cr
.a2d5s2t
.a2dfu
.a3b4rah
.a3d4æ
.a3d4am
.a3d4ran
.a3d4u3a
.a3d4ul
.a3d4úl
.a3d4urn
.a3s2c
.a3s2p
.a3s2t
.a4b3es
.a4s3per
.a5s4perg
.a5s4pern
.a5s4tern
.a5s4tip
.a5s4tr
.a5s4tu
.a5s4tú
.ab3s2ten
.ab3si2
.ab3so
.ab3só
.ab3su2
.áb4s3
.ab4s3c
.ab4s3tem
.ab4s3ter
.ab4s3tér
.ab4s3tin
.áb4s3tin
.ab4s3tr
.ab4s3tu
.ab4s3tú
.ab5s4cin
.ab5s4ent
.ad3i2i
.ad3i2í
.ad3i2u
.ad3i2ú
.ad3s2cr
.ad3si2
.ad5is.
.ad5it.
.ader2
.ades2
.adsu2
.ady3
.ády3
.ani2m3ad
.anti1
.anti3m2n
.ape3r2u
.archi3e
.ari5s2to
.b2
.c2
.ci2s3
.circu4m1
.circú4m3s4
.circum3s4
.circumi2a
.circumi2e
.circumi2i
.circumi2o
.circumi2u
.co1e
.co1i
.co1i2e
.co2e1n
.co2n1
.có2n1
.co3e2lec
.co3e2lig
.co3e2r
.co3e2x3
.co3emen
.co3g2nos
.co3g2nós
.co3n2i3ue
.co3n2if
.co3n2ig
.co3n2it
.coex3s2
.coi3u
.con3ic
.con3s2cr
.cón3s2p
.con3s2p2
.con5s2t
.coni2a
.coni2e
.coni2i
.coni2u
.coni2ú
.cóni2u
.cu4m5s4cr
.de1í
.dé1i
.de1in
.de1ín
.de1it
.de3s2c
.de3s2p
.dé3s2p
.de3s2q
.de5s2t
.dé5s2t
.di2r1im
.di2s1i2
.di2sj
.di3g2nosc
.di3i4u
.di3i4ú
.di3œ
.di3u
.di4s3
.dí4s3
.di5s4cin
.di5s4ciss
.di5s4cr
.di5s4pi
.di5s4ta
.di5s4to.
.di5s4tric
.di5s4trin
.di6s5crim
.di6s5crím
.di6s5cru
.e2t3en
.e2x3
.é2x3
.ex5s2t
.éx5s2t
.exs2p
.éxs2p
.f2
.g2
.h2
.haru3s4p
.hi2e
.hu1i2u
.hu1i2ú
.hucu4s
.i2d1
.i2dci
.i2e
.i2é
.i2i
.i2o
.i2ó
.i3bi
.i3bí
.i3bo
.i3bu
.i3co
.i3có
.i3d2e
.i3d2ib
.i3d2ol
.i3d2ól
.i3d2on
.i3d2ón
.i3d2us
.i3di2og
.i3n2an
.i3n2án
.i3n2ers
.i3n2ert
.i3n2it
.i3n2ul
.i4a
.i4d3em
.i4d3es
.i4n3
.í4n3
.i4n3ulc
.i4u
.i4ú
.i5den
.iai2u
.iei2u
.in3s2p
.in3s4cr
.in4d3
.in5d4is
.in5s2t
.ín5s2t
.ina2b3r
.ina2cr
.ina2df
.inab3s2
.ine2x3
.inexs2t
.infra3s4
.ini2e
.ini2é
.ini2í
.ini2u
.ini2ú
.ino2b
.ino3b2oe
.inob3s2c
.inpe2r3iur
.inu2a
.inu2e
.inu2i
.inu2o
.inu2u
.iu2s3i2ur
.j2
.l2
.lecti5s4t
.lon2g1an
.lon2g1án
.lon2g1in
.lon2g1ín
.lu3x2u
.lu3x2ú
.m2
.n2
.ne2g3ot
.o2b1
.ó2b1
.o3b2ed
.o3b2éd
.o3b2el
.o3b2es
.o3b2ic
.o3b2ig
.o3b2œ
.o3b4ruz
.o4b3ici
.o4b3œd
.ob3i2u
.ob3i4i
.ob3i4í
.ob3l
.ob3r
.ób3ru
.ob3s2c
.ob3s2cu
.ob3tr
.ob5s2t
.obi2a
.obi2e
.obi3er
.obu2a
.obu2e
.obu2i
.obu2o
.p2
.pæ2n3ins
.para1i
.para1u
.pe2r1a2d1u
.pe2r1a2dp
.pe2r1a2u
.pe2r1absu
.pe2r1ac
.pe2r1ác
.pe2r1ae
.pe2r1amb
.pe2r1ar
.pe2r1eff
.pe2r1el
.pe2r1em
.pe2r1eru
.pe2r1i2ac
.pe2r1i2ec
.pe2r1o2b3s2c
.pe2r1od
.pe2r1of
.pe2r1ol
.pe2r1op
.pe2r1u2a
.pe2r1u2e
.pe2r1u2i
.pe2r1u2o
.pe2r3ag
.pe2r3ág
.pé2r3ag
.pe2r3eám
.pé2r3eam
.pé2r3eant
.pe2r3eát
.pé2r3eat
.pe2r3ég
.pe2r3eo
.pé2r3eo
.pe2r3err
.pe2r3eu
.pe2r3eú
.pé2r3eu
.pe2r3h
.pé2r3h
.pe2r3i2u
.pe2r3ib
.pe2r3íb
.pe2r3ié
.pe2r3íe
.pé2r3ii
.pe2r3ímu
.pe2r3ju
.pe2r3or
.pe2r3reg
.pe2r3s2c
.pe2r3s2p
.pe2r3tran2s1
.pe2r3trán2s1
.pe2r3u
.pe2r3ú
.pe2r7s2t
.pe3r2enn
.pe4r1e2x3
.pe4r1ed
.pe4r3ec
.pe6r3egr
.pé6r3egr
.peri1
.peri3p2s
.peri3p2t
.peri3s2c
.peri3s2t
.perse2i
.perse2o
.perse2u
.po3et
.po4s4t3hac
.pos4t3ea
.pos4t3h
.posu3í
.pósu3i
.præ1
.præ3a2u
.præ3s2c
.præ3s2p
.præ5s2t
.præte2r1
.primi1
.primi3s2c
.pro1de1amb
.pro2d1ea
.pro2d1eo
.pro2d1es3s
.pro2d1eun
.pro2d1fu2
.pro2d1ib
.pro2d1ier
.pro2d1ig
.pro2d1im
.pro2d1ir
.pro2d3is
.pro2d5it
.pro3d2iti
.pro3d2ito
.pro3d2itr
.pro3g2n
.pro3i4e
.pro3i4é
.pro3i4i
.pro3i4í
.pró3i4i
.pro3in
.pro3s2c
.pro3s2p
.pró3s2p
.pro3u
.pro4s3ter
.pro4s3tér
.pro4s3tit
.pro4s3tra
.pro4s3trá
.pro5s2t
.pro5s4tan
.pro5s4tar
.propte2r3
.qua2m3o2b3
.que2m3a2d3m
.quin2c3un
.quo2n3i4a
.quó2n3i4a
.quo2t1an
.quo2t1en
.quo2t1i4e
.quó2t1i4e
.quo2t3li
.quo6d5l
.quoa2d3usq
.quoa2d3úsq
.r2
.ra2y
.re1ie
.re1in
.re2d1a2u
.re2d1ac
.re2d1ad
.re2d1am
.re2d1amb
.re2d1an
.re2d1ar
.re2d1arg
.ré2d1ea
.re2d1ég
.re2d1em
.re2d1ém
.re2d1eo
.re2d1eu
.re2d1ib
.re2d1ien
.re2d1ier
.re2d1íer
.re2d1ig
.ré2d1ig
.re2d1in
.re2d1ir
.re2d1ol
.re2d1op
.re2d1ord
.re2d1orn
.re2d1ul
.re2d5is
.re2d5it
.ré2d5it
.re3d2ic
.re3d2im
.re3d2orm
.re3i2ec
.re3ips
.re3ite
.re3s2cr
.re3s2p
.ré3s2p
.re3s2tag
.re3s2tib
.re3s2tic
.re3s2til
.re3s2tip
.re4d3imi
.re4s3pec
.re4s3péc
.re4s3pér
.re5s4ta
.re5s4tá
.re5s4ta2u
.re5s4tit
.re5s4tr
.ree2x
.repa2u
.s2
.s2m
.sa2t1ag
.sa3ul.
.sati2s1
.se2m3un
.se2m3us
.se4s3cen
.seme2t3ip
.ses2c1u4n
.si2c1u4t2
.si3s2ten
.sta3g2n
.su2b3
.sú2b3
.su3s2c
.sú3s2c
.su3s2p
.su4s3cep
.su4s3cip
.su4s3cit
.sub5s4cr
.sub5s4t
.subi4a
.subi4á
.subi4e
.subi4é
.subi4i
.subi4í
.súbi4i
.subi4u
.subi4ú
.supe2r1a3s2p
.supe2r1a3s2t
.supe2r1ab
.supe2r1ad
.supe2r1ad3s2t
.supe2r1ae
.supe2r1æ
.supe2r1ag
.supe2r1am
.supe2r1arg
.supe2r1att
.supe2r1bib
.supe2r1bif
.supe2r1bil
.supe2r1c
.supe2r1d
.supe2r1e2x3
.supe2r1ed
.supe2r1eff
.supe2r1eg
.supe2r1em
.supe2r1en
.supe2r1er
.supe2r1eu
.supe2r1il
.supe2r1im
.supe2r1in
.supe2r1ir
.supe2r1o2b1d
.supe2r1o2b3r
.supe2r1oc
.supe2r1or
.supe2r1sub3s2t
.supe2r3h
.supe2r3i2
.supe2r3s2c
.supe2r3s2p
.supe2r3u2
.supe2r5s4t
.supe3r4i3o
.supe3r4i3u
.supe4r5i4ume
.supra3s2c
.suss2cr
.t2
.ta2m3
.te2r1i2u
.te2r1un
.terp2s
.tetra3e2t
.tetra3g2n
.tetra3s2t
.the2o
.the3s2p
.the3s2t
.theo3g2n
.thi3s2b
.tra1i2a
.tra1i2e
.tra1ii
.tra2n1ue
.tran2s
.trán2s
.tran3s2c
.tran3s2en
.tran3s2um
.tran3s4il
.trans1a2b1e2
.trans1a2b1i
.trans1a2d1
.trans1a2u
.trans1act
.trans1e
.trans1o2
.trans1u2
.trans3ea
.tráns3ea
.trans3i
.trans3í
.tráns3i
.trans3i4e
.trans3i4é
.tráns3i4e
.tráns3i4i
.trans3íb
.transa2
.transe2u
.tri3en
.u2n1i2us
.u3n2i3uscu
.uni3an
.uni3án
.ute2r3ui
.ve2l1ut
.x2
.z2
.za2i3eu
.zeu3g2m
1b
1c
1d
1f
1g
1h
1j
1k
1l
1m
1n
1p
1qu4
1r
1s
1t
1v
1x
1z
2ax.
2b.
2bb
2bd
2bh
2bj
2bm
2bn
2bp
2bs
2bt
2cc
2cd
2ch.
2ch3th
2cm
2cn
2cq
2cs
2ct
2cz
2d.
2d3h
2d3w
2dc
2dd
2df
2dg
2dl
2dm
2dn
2dp
2dq
2ds
2em.
2es.
2et.
2ex.
2f.
2ff
2fn
2ft
2g.
2gd
2gf
2gg
2gm
2gs
2h.
2hp
2ht
2i2m.
2i2s.
2i2t.
2i2x.
2lb
2lc
2ld
2lf
2lg
2lk
2ll
2lm
2ln
2lp
2lq
2lr
2ls
2mb
2mc
2md
2mf
2ml
2mm
2mn
2mp
2mr
2ms
2mt
2n.
2nb
2nc
2nf
2ng
2nh
2nj
2nl
2nm
2nn
2np
2nq
2nr
2ns
2nt
2nx2
2nz
2ox.
2p.
2ph.
2php
2pht
2pn
2ps
2pz
2r1x
2rb
2rc
2rd
2rf
2rg
2rl
2rm
2rn
2rp
2rq
2rs
2rt
2rz
2s3dem.
2s3que.
2s3tn
2sb
2sc
2sd
2sf
2sg
2sl
2sm
2sn
2sne.
2sp
2sq
2sr
2st.
2st3p
2sv
2t.
2t1íps
2tb
2tc
2td
2tf
2tg
2th.
2th5p
2th5s
2tm
2tn
2tp
2tq
2ts
2tt
2ui.
2ux.
2x.
2xt
2y.
2ys.
2yx.
2z.
2zz
3ch4m
3ne.
3p2neu
3p2sic
3p2tr
3s2cæ
3s2cǽ
3s2ce
3s2cé
3s2ci
3s2cí
3s2cœ
3s2cy
3s2cý
4́
4ant.
4c.
4dv
4l.
4lt
4lv
4lz
4m.
4mq
4nd
4nv
4p3t
4pp
4r.
4r3r
4rv
4s.
4ss
4st
6mv
a1
á1
a1is
a1ís
á2a
a2m3ui
a2u
á2u
a2y
a3it.
æ1
ǽ1
æ3is.
ai2a
ái2a
ai2e
ai2é
ai2o
ai2ó
ai2u
ái2u
ai4i
ai4unt.
b2l
b2r
b3s2t
bu3is.
bu3u
c2h
c4l
c6r
ch4l
ch4r
cho3e
ci3ent
ci3et
cu3
cu4lc
cu4lp
cu4mb
cu4nc
cu4nt
cu4rs
cui4ús
d2æ.
d2am.
d2r
d4it.
du3u
e1
é1
ë1
e1úm
é1um.
e1ún
é1us.
e2l3ue
e2s3r
e2u
e3am.
e3at.
e3is.
é3is.
e5ant.
e5um.
e5un
e5us.
ei2a
ei2e
ei2é
ei2í
ei2u
ei2ú
ei4i
éi4i
ei4us.
f2l
f2r
g2l
g2n
g2r
g4ne.
ge3n2ua
h3m
hu2c5us
i1
í1
ï1
i1el.
i2oi2u
i2u2s3l
i2ú2s3l
i2u2s3v
i2ú2s3v
i3am.
í3am.
i3ans.
i3as.
i3at.
i3em.
i3ems.
i3ens.
i3ent.
i3es.
i3et.
i3is.
i3it.
i3ud.
i3um.
i3unt.
i3ur.
i3us.
i5ant.
í5ant.
l3f2t
lu1un
lu1ún
n2s3f
n2s3m
nco3i
ngu2á
ngu2i
ngu2í
ngu2ó
ngu3i.
ngu4e
ngu4é
ngu4o
ngu5ere.
ngu6a
ni2a
o1
ó1
o3um.
œ1
oi2a
oi2e
oi2o
oi2u
ou2s3que
p2h
p2l
p2r
ph3ph
pha3el
po2t3en
po2t3er
po2t3es
qu6u
qu6um.
qui4e
qui4é
r2chm
r2h
r4us.
ru3is.
ru3it.
s2t3l
s2t3q
s2t3s
s2t3t
s4t1k
su2b5s4tan
su3is.
t2h4
t2l
t4r
th4m
tho3s4t
thó3s4t
ti1o.
ti3n2ui
tru3um.
tru3us.
tu3æ
tu3is.
tu3it.
tu3u
tu5ant.
u1
ú1
ü1
u3é
ú3e
u3e.
u3en
u3et.
u3it.
u3o.
u5ant.
u5um.
u5us.
ui1a
ui2u
ui3e
ui3é
ui4us.
uo3u
uo3us
uo3ús
x2it.
x2u3it.
x2um.
x2us.
x2y
xy4s3t
y1
ý1
`;

  // Hyphenation exceptions
  var exceptions=`
`;

  return {
    patterns: patterns,
    exceptions: exceptions
  };
}));
